﻿/*
* html与手机端交互统一处理类
* add huafg by 207-8-10
*/
/*REM自适应*/
//var httpurl = "http://192.168.30.166";
//var imgurl = "http://192.168.30.166/"
//var httpurl = "http://192.168.3.113:89";
//var imgurl = "http://192.168.3.113:89/"
//var httpurl = "http://58.59.29.2:89";//外网地址
//var imgurl = "http://58.59.29.2:89/"//外网地址
//var httpurl = "http://192.168.30.182:8080";//外网地址
//var imgurl = "http://192.168.30.182:8080/"//外网地址
//var httpurl = "http://192.168.3.182:8080";//外网地址
//var imgurl = "http://192.168.3.182:8080/"//外网地址
var httpurl = "http://wx1.wasoft.cn";
var imgurl = "http://wx1.wasoft.cn/";

if (document.documentElement.clientWidth > 768) {
    document.documentElement.style.fontSize = 76.8 + 'px';
} else {
    document.documentElement.style.fontSize = document.documentElement.clientWidth / 10 + 'px';
}
/*
*自动计算高度
*/
if(document.documentElement.clientHeight >0){
	var soi = document.documentElement.clientHeight; 
	$(".mui-control-content").css("height", (soi - 38) + "px");
}else{
	var soi = $(window).height(); 
	$(".mui-control-content").css("height", (soi - 38) + "px");
} 
/*
*iframe自动计算高度
*/
function autoheight(t) { 
    t.height = t.contentWindow.document.body.scrollHeight;
    var y = (t.contentWindow || t.contentDocument);
    if (y.document) y = y.document;
    y.body.style.backgroundColor = "#fff";
}
/*公共ajax调用函数*/
var timeouts = 20000; //超时请求时间为20秒
(function (w) {
    //公共异步ajax
    w.baseAjax = function (url, options, callFun) { 
        $.ajax(url, {
            data: options,
            dataType: 'json', //服务器返回json格式数据
            type: 'post', //HTTP请求类型
            contentType:'application/json;charset=utf-8',
            timeout: timeouts, 
            cache: false,
            success: function (data) { 
                callFun(data);
            },
            error: function (xhr, type, errorThrown) {
                if (type == 'timeout') {
                    mu.toast('连接超时，请稍后重试！');
                } else if (type == 'error') {
                    mu.toast('连接异常，请稍后重试！');
                }
                console.log(xhr + ' ' + type + ' ' + errorThrown);
            }
        });
    };
    //添加手机端调用api接口公用调用
    w.baseAjaxapi = function (url, options, callFun) {
        $.ajax({
            url: httpurl+url,
            data: options,
            type: 'post',
            dataType: 'jsonp',
            success: function (data) {
                callFun(data);
            },
            
            error: function (xhr, type, errorThrown) {
                if (type == 'timeout') {
                    mu.toast('连接超时，请稍后重试！');
                } else if (type == 'error') {
                    mu.toast('连接异常，请稍后重试！');
                }
            }
        });
    }
})(window);
function isJSON(str) {
    if (typeof str == 'string') {
        try {
            JSON.parse(str);
            return true;
        } catch (e) {
            console.log(e);
            return false;
        }
    }
}
/*公共取值函数*/
function getQuery(name) {
    var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)", "i");
    var r = window.location.search.substr(1).match(reg);
    if (r != null) return unescape(r[2]);
    return null;
}
function isNull(str){
	if (str == "" || str == undefined || str == null || str=='undefined') return true;
	var regu = "^[ ]+$";
	var re = new RegExp(regu);
	return re.test(str);
}
/*页面统一处理方法*/
var jsonObject = {};
var param = getQuery("param");
if (isJSON(param)) {
    jsonObject = JSON.parse(param);
}
/*自定义mui提醒*/
var mu = {
    toast: function (msg, func) {
        mui.alert(msg, '提示', '确定', func);
    }
}
 
/*获取年月日*/
function getDates(jsondate) {
    if (jsondate != "" && jsondate != null) {
        var date = new Date(jsondate);
        var month = date.getMonth() + 1 < 10 ? "0" + (date.getMonth() + 1) : date.getMonth() + 1;
        var currentDate = date.getDate() < 10 ? "0" + date.getDate() : date.getDate();
        var hour = date.getHours() < 10 ? "0" + date.getHours() : date.getHours();
        var minute = date.getMinutes() < 10 ? "0" + date.getMinutes() : date.getMinutes();
        var second = date.getSeconds() < 10 ? "0" + date.getSeconds() : date.getSeconds();

        return date.getFullYear() + "-" + month + "-" + currentDate;
    }
    else {
        return "";
    }
}

/*
* 手机端调取html部分
*/
var h_result;
function callback(func, param) {
    h_result = { status: 400, msg: '调取方法成功', data: {} };
    try{
        switch (func) {
            case "login":
                //登录的方法
                jsfunc.login(param);
                break;
            case "saveuserinfo":
                //保存用户信息
                jsfunc.saveuserinfo(param);
                break;
            default:
                break;
        }
    } catch (e) {
        h_result.status = 500;
        h_result.msg = "网络调取出现异常";
        h_result.data = {error:e};
    }
    //返回json字符串，不是json对象
    return JSON.stringify(h_result);
}
/*统一子方法*/
var jsfunc = {
    /*测试登录方法*/
    login:function(param){
        h_result.status = 200;
        h_result.msg = "我是登录！";
        //baseAjax('登录的URL', { 参数}, function(data) {
        //    //数据返回结果
        //});
    },
    /*保存用户信息的方法*/
    saveuserinfo: function (param) {
        //调用保存的方法
        $.when(
        SaveUserInfo(param)).done(
        function () { h_result.status = 200; });
    }
};

/*
* Html 调用手机端部分
*/
var p_result;// = { status: 200, msg: 'success', data: {} };
var phone = {
    /*登录操作，登录成功后传递参数，告知手机端跳转首页*/
    login: function (param) {
    	//window.location.href=httpurl+"/river/riverhtml/index.html";//绝对路径
        p_result = window.client.callback("gotoindex", JSON.stringify(param));
    }, 
    /*首页轮播图跳转*/
    indexImg: function (param) {
      p_result = window.client.callback('getonewsinfo', JSON.stringify(param));
  //     window.location.href=httpurl+'/river/riverhtml/news/newsinfo.html?param='+JSON.stringify(param); 
        //根据p_result进行下一步处理 
    },
    /*首页搜索-河湖列表*/
    riverlist: function (param) {
    	  p_result = window.client.callback('gotoriverlist', JSON.stringify(param));
    	 //window.location.href=httpurl+'/river/riverhtml/river/index.html?param='+JSON.stringify(param); 
    },
    /*首页水质类别跳转水质类别详情页*/
    watclass: function (param) {
        p_result = window.client.callback('gotowatclass', JSON.stringify(param));
//    	window.location.href=httpurl+"/river/riverhtml/water/watclass.html";//绝对路径
    },
    /*河湖详情*/
    riverbasic: function (param) {
    	   p_result = window.client.callback('gotoriverbasic', JSON.stringify(param)); 
    	 //window.location.href=httpurl+'/river/riverhtml/river/riverbasic.html?param='+JSON.stringify(param); 
    },
    /*投诉公示列表*/
    suggestlist: function (param) { 
    	p_result = window.client.callback('gotosuggestlist', JSON.stringify(param));
    	 //window.location.href=httpurl+'/river/riverhtml/csgg/index.html?param='+JSON.stringify(param); 
    },
    /*跳转投诉详情*/
    suggdetail: function (param) { 
        p_result = window.client.callback('gotosuggdetail', JSON.stringify(param));
        //window.location.href=httpurl+'/river/riverhtml/csgg/suggdetail.html?param='+JSON.stringify(param); 
    },
	/*投诉上报*/
    setsugg: function (param) {
        p_result = window.client.callback('gotosetsugg', JSON.stringify(param));
    	// window.location.href=httpurl+'/river/riverhtml/csgg/suggestform.html?param='+JSON.stringify(param); 
    },
    /*收藏河湖*/
    collriver: function (param) {
        p_result = window.client.callback('gotocollriver', JSON.stringify(param));
    },
    /*新闻公示页面 */
    newsnotice: function (param) {
        p_result = window.client.callback('gotonewsnotice', JSON.stringify(param));
    }, 
    //跳转个人中心
    mycenter: function (param) {
        p_result = window.client.callback('gotomycenter', JSON.stringify(param));
    },
	  //跳转巡检任务
    gopattask: function (param) {
        p_result = window.client.callback('gotopattask', JSON.stringify(param));
        //window.location.href=httpurl+'/river/riverhtml/pat/tasklist.html?param='+JSON.stringify(param); 
    }, 
   //跳转问题上报
    gopatform: function (param) {
        p_result = window.client.callback('gotopatform', JSON.stringify(param));
        //window.location.href=httpurl+'/river/riverhtml/pat/patform.html?param='+JSON.stringify(param); 
    },
    //跳转巡检记录
    gopatlist: function (param) {
        p_result = window.client.callback('gotopatlist', JSON.stringify(param));
        //window.location.href=httpurl+'/river/riverhtml/pat/patlist.html?param='+JSON.stringify(param); 
    },
  //开始巡检   无问题巡检
    gostartpat: function (param) {
        p_result = window.client.callback('gotopatnorform', JSON.stringify(param));
        //window.location.href=httpurl+'/river/riverhtml/pat/patnorform.html?param='+JSON.stringify(param); 
    },
    /*跳转登陆前页面*/
    appoint: function (param) {
        p_result = window.client.callback('gotoappoint', JSON.stringify(param));
    },
    /*系统注册*/
    register: function (param) {
        p_result = window.client.callback('gotoregister', JSON.stringify(param));
    },
    /*验证码 发送消息*/
    setveris: function (param) {
        p_result = window.client.callback('gotosetveris', JSON.stringify(param));
    }, 
    /*跳转我的收藏*/
    mycolls: function (param) {
        p_result = window.client.callback('gotomycolls', JSON.stringify(param));
        //window.location.href=httpurl+'/river/riverhtml/mycenter/mycolls.html?param='+JSON.stringify(param); 
    }, 
    /*跳转我的消息通知*/
    mynews: function (param) {
        p_result = window.client.callback('gotomynews', JSON.stringify(param));
//        window.location.href=httpurl+'/river/riverhtml/mycenter/mynews.html?param='+JSON.stringify(param);
    },   
    /*上传头像*/
    upheader: function (param) {
        p_result = window.client.callback('gotoPhoto', JSON.stringify(param));
    },
    /*跳转个人资料页面*/
    updmyinfo: function (param) {
         p_result = window.client.callback('gotoupdmyinfo', JSON.stringify(param));
        //window.location.href=httpurl+'/river/riverhtml/mycenter/updmyinfo.html?param='+JSON.stringify(param); 
    },
    /*修改密码*/
    pwedit: function (param) { 
        p_result = window.client.callback('gotopwedit', JSON.stringify(param));
       // window.location.href=httpurl+'/river/riverhtml/mycenter/changepwd.html?param='+JSON.stringify(param); 
    },
    /*意见反馈*/
    feedback: function (param) {
       p_result = window.client.callback('gotofeedback', JSON.stringify(param));
       //window.location.href=httpurl+'/river/riverhtml/mycenter/advise.html?param='+JSON.stringify(param); 
    },
    /*跳转系统设置*/
    syssetting: function (param) {
       p_result = window.client.callback('gotosyssetting', JSON.stringify(param));
       // window.location.href=httpurl+'/river/riverhtml/mycenter/syssetting.html?param='+JSON.stringify(param); 
    }, 
    //检查版本更新
    getversions: function (param) {
        p_result = window.client.callback('gotogetversions', JSON.stringify(param));
    },
    //注销用户
    getcancel: function (param) {
        p_result = window.client.callback('gotogetcancel', JSON.stringify(param));
    },
	/*用户退出登录*/
    logout: function (param) {
        p_result = window.client.callback('logout', JSON.stringify(param));
    },
    /*调用相机*/
    gotoPhoto: function (param) {
        p_result = window.client.callback('gotoPhoto', JSON.stringify(param));
    }
};
/*
* html 自身数据绑定与写入部分
*/
/*参数*/
var h_para = {
    /*登录*/
    login: '/river/mobile/index?key=login',
    indexRiverlist:'/river/mobile/index?key=indexRiverlist',
    riverbasic:'/river/mobile/index?key=riverbasic',
    indexSuggestlist:'/river/mobile/index?key=indexSuggestlist',
    suggdetail:'/river/mobile/index?key=suggdetail',
	getmuibyriver:'/river/mobile/index?key=getmuibyriver',
    saveSugg:'/river/mobile/index?key=saveSugg' ,
	indexNewslist:'/river/mobile/index?key=indexNewslist',
	newsdetail:'/river/mobile/index?key=newsdetail',
    indexMycenterlist:'/river/mobile/index?key=indexMycenterlist',
	myinfodetail:'/river/mobile/index?key=myinfodetail',
    getUploadImgsPath:'/river/mobile/index?key=uploadPaths',
}; 
/*参数*/
var h_paraapi = {
    /*登录*/ 
    loginapi: '/river/mobile/api/index?key=login',  
    indexRiverlist:'/river/mobile/api/index?key=indexRiverlist',
    indexSuggestlist:'/river/mobile/api/index?key=indexSuggestlist',
    indexNewslist:'/river/mobile/api/index?key=indexNewslist',
    indexMycenterlist:'/river/mobile/api/index?key=indexMycenterlist',
    uploadImgs:'/river/mobile/api/uploadImgs?key=comsugg',
}; 